# Learning kinetic energy functional via differentiable optimization

Here, the key is to include the integrated density difference in the loss function. Training this then require one to 
differentiate through the Euler equation solver of the orbital-free density functionals, which can be conveniently done with `jaxopt.implicit_diff.custom_fixed_point` of https://arxiv.org/abs/2105.15183. 

Traning will be more expensive (10x slow than just use total energy and its functional derivative in the loss), but the hope is the learned kinetic energy functional is more generalizable. 

## Requirements

```bash
pip install git+https://github.com/google/jaxopt
pip install git+https://github.com/deepmind/dm-haiku
```

## To run

```python
python src/train.py --N 2 --dnls 1.0
python src/inference.py --N 2 --restore_path data/kejax_N2_G300_d2_c16_k100_b32_lr0.0001_en1.0_pt0.0_dn1.0
```
