import subprocess 
import numpy as np 
import time 

nickname = 'fixunit'
###############################
batchsizes = [32]
kernelsizes = [100]
use_density_loss = True
###############################
prog = '../src/train.py'
resfolder = '/data1/wanglei/kejax/' + nickname  + '/' 

def submitJob(bin,args,jobname,run=False, wait=None):
    #prepare the job file 
    job='''#!/bin/bash -l
#
#PBS -l nodes=1:ppn=1:gpus=1
#PBS -l walltime=24:00:00
#PBS -N %s
#PBS -o %s
#PBS -j oe
#PBS -V
'''%(jobname, jobname+'.log')

    if wait is not None:
        dependency ='''
#PBS -W=afterok:%d\n'''%(wait)
        job += dependency 

    job += '''
ncpu=`cat $PBS_NODEFILE | wc -l`
echo "Running on" uniq -c $PBS_NODEFILE

cd $PBS_O_WORKDIR
echo "Running from $PBS_O_WORKDIR"

echo "CUDA devices $CUDA_VISIBLE_DEVICES"

echo Job started at `date`\n'''
    job +='python '+ str(bin) + ' '
    for key, val in args.items():
        if key == 'use_density_loss':
            if val: job += '--'+str(key) +  ' '
        else:
            job += '--'+str(key) + ' '+ str(val) + ' '
    job += '''
echo Job finished at `date`\n'''

    #print job
    jobfile = open("jobfile", "w")
    jobfile.write("%s"%job)
    jobfile.close()

    #submit the job 
    if run:
        cmd = ['qsub', '-V', 'jobfile']
        time.sleep(0.1)
    else:
        cmd = ['cat','jobfile']

    subprocess.check_call(cmd)
    return None

