#!/usr/bin/env python
from numpy import linspace 
import os.path 
import sys 

if __name__=='__main__':
    import argparse
    parser = argparse.ArgumentParser()
    parser.add_argument("-run", action='store_true', help="Run or not")
    parser.add_argument("-waitfor", type=int, help="wait for this job for finish")
    input = parser.parse_args()

    #default parameters 
    jobdir='../jobs/'

    #this import might overwrite the above default parameters 
    #########################################################
    import socket, getpass
    machinename = socket.gethostname()
    username = getpass.getuser()
    print ('\n', username, 'on', machinename, '\n')
    if 'delta105' in machinename:
        from config.delta105 import *
    elif 'delta103' in machinename:
        from config.delta103 import *
    elif 'delta104' in machinename:
        from config.delta104 import *
    elif 'delta102' in machinename:
        from config.delta102 import *
    elif 'delta106' in machinename:
        from config.delta106 import *
    elif 'ip-10-0-0-26' in machinename:
        from config.aws import * 
    elif 'ln01' in machinename:
        from config.ln01 import * 
    else:
        print ('where am I ?', machinename)
        sys.exit(1)
    #########################################################

    cmd = ['mkdir', '-p', resfolder]
    subprocess.check_call(cmd)
    
    for k in kernelsizes:
        for b in batchsizes: 
            for c in channels:
                for d in depths:

                    jobid = input.waitfor 

                    args = {'N':N,
                            'G':G,
                            'depth':d,
                            'k':k,
                            'c':c,
                            'b':b,
                            'lr':lr,
                            'folder':resfolder,
                            'ptls':ptls,
                            'dnls':dnls
                            }
                    jobname = jobdir 
                    for key, val in args.items():
                        if not(key in ['folder', 'restore_path']):
                            jobname +=  str(key) + str(val) + '_'
 
                    jobname = jobname[:-1]  # remove last '_'

                    jobid = submitJob(prog,args,jobname,run=input.run, wait=input.waitfor)

