import argparse
parser = argparse.ArgumentParser(description='')
parser.add_argument("--folder", default='../data/',help="where to store results")
parser.add_argument("--restore_path", default=None, help="checkpoint file path")

#physical parameters
parser.add_argument("--N", type=int, default=2, help="particle number")
parser.add_argument("--G", type=int, default=300, help="number of grid points")
parser.add_argument("--batchsize", type=int, default=16, help="batchsize")
parser.add_argument("--epochs", type=int, default=100000, help="epochs")
parser.add_argument("--lr", type=float, default=1e-4, help="learning rate")

parser.add_argument("--enls", type=float, default=1.0, help="energy loss")
parser.add_argument("--ptls", type=float, default=0.0, help="potential loss")
parser.add_argument("--dnls", type=float, default=0.0, help="density loss")
parser.add_argument("--max_iter", type=int, default=100, help="maximum number of iterations in euler solver")
parser.add_argument("--epsilon", type=float, default=1e-8, help="converge criterion of density norm in euler solver")

#model parameters
parser.add_argument("--depth", type=int, default=2, help="depth")
parser.add_argument("--channels", type=int, default=16, help="")
parser.add_argument("--kernelsize", type=int, default=100, help="")

args = parser.parse_args()

save_path = args.folder 
save_path += 'kejax'  \
      + '_N' + str(args.N) \
      + '_G' + str(args.G) \
      + '_d' + str(args.depth) \
      + '_c' + str(args.channels) \
      + '_k' + str(args.kernelsize) \
      + '_b' + str(args.batchsize) \
      + '_lr' + str(args.lr) \
      + '_en' + str(args.enls) \
      + '_pt' + str(args.ptls) \
      + '_dn' + str(args.dnls) 
